<ion-header>

  <ion-navbar>
    <ion-title>Choose Location</ion-title>
  </ion-navbar>

</ion-header>


<ion-content padding>
  <ion-grid>
    <ion-row>
      <ion-col>
         <agm-map
          [latitude]="location.lat"
          [longitude]="location.lng"
          [zoom]="16"
          (mapClick)="onSetMarker($event)">
          <agm-marker
            *ngIf="marker"
            [latitude]="marker.lat"
            [longitude]="marker.lng">
          </agm-marker>
         </agm-map>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col>
        <button
          [disabled]="!marker"
          (click)="onConfirm()"
          ion-button
          block
          color="secondary">
          Confirm
        </button>
      </ion-col>
      <ion-col>
        <button
        (click)="onAbort()"
          ion-button
          block
          color="danger">
            Abort
        </button>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>
